removing usplash themes should run "dpkg-reconfigure usplash"

Bug #83410 reported by Vincenzo Ciancia on 2007-02-05
6
Affects Status Importance Assigned to Milestone
edubuntu-artwork (Ubuntu)
Undecided
Unassigned
ichthux-default-settings (Ubuntu)
Low
Ralph Janke
kubuntu-default-settings (Ubuntu)
Undecided
Unassigned
usplash-theme-ubuntu (Ubuntu)
Undecided
Unassigned
xubuntu-artwork (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: usplash

If I install another usplash theme, e.g. kubuntu-artwork-usplash, the initrd is correctly update, but when I remove it, to update the initrd one should run dpkg-reconfigure usplash, or else the kubuntu theme stays there. This should be automatic in order to allow people to freely go back and forth ubuntu and kubuntu without having the feel to have broken something or irreversibly changed something in the system, that the kubuntu artwork left there gives.

Matthew Garrett (mjg59) wrote :

This is something that needs to be fixed in the theme packages, not usplash itself.

Paul Sladen (sladen) on 2007-02-06
Changed in kubuntu-default-settings:
status: Unconfirmed → Confirmed
Anthony Mercatante (tonio) wrote :

Fixed with latest upload

Changed in kubuntu-default-settings:
status: Confirmed → Fix Released
Changed in ichthux-default-settings:
assignee: nobody → raphink
Lionel Le Folgoc (mrpouit) wrote :

xubuntu-artwork (0.14) gutsy; urgency=low

  * Fixed xubuntu-artwork-usplash.prerm to update-initramfs -u on package
    remove. (LP: #83410)

 -- Lionel Le Folgoc <email address hidden> Sat, 09 Jun 2007 15:22:28 +0200

Changed in xubuntu-artwork:
status: Unconfirmed → Fix Released
Vincenzo Ciancia (vincenzo-ml) wrote :

The three packages where this bug is still "new" should either close it or fix it :)

Ralph Janke (txwikinger) on 2008-08-01
Changed in ichthux-default-settings:
assignee: raphink → txwikinger
importance: Undecided → Low
status: New → Triaged
Ralph Janke (txwikinger) on 2008-08-01
Changed in ichthux-default-settings:
status: Triaged → In Progress
Daniel T Chen (crimsun) on 2008-09-01
Changed in edubuntu-artwork:
status: New → Confirmed
Changed in usplash-theme-ubuntu:
status: New → Confirmed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ichthux-default-settings - 1:6.10-2ubuntu2

---------------
ichthux-default-settings (1:6.10-2ubuntu2) intrepid; urgency=low

  [ Ralph Janke ]
  * Changed dependency on ksplash-engine-moodin to kdebase-workspace-bin
    (LP: #254061)
  * Fixed postinst script (echo -e -> echo) in order to be sh compatible
  * Brought package to Standard 3.8.0
  * Fixed long line in debian/copyright

  [ Colin Watson ]
  * Call 'update-initramfs -u' on removal (LP: #83410).

 -- Colin Watson <email address hidden> Tue, 02 Sep 2008 18:34:51 +0100

Changed in ichthux-default-settings:
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package edubuntu-artwork - 0.1.0-56

---------------
edubuntu-artwork (0.1.0-56) jaunty; urgency=low

  * drop edubuntu-artwork-usplash package as it is not well-maintained
    and makes little sense for an addon.
      Closes LP: #39186, #66726, #83410, #271376, #318522, #323011
  * bump standards version to 3.8.0
  * set Maintainer as Edubuntu Developers <email address hidden>

 -- Jordan Mantha <email address hidden> Mon, 09 Mar 2009 22:07:49 -0700

Changed in edubuntu-artwork:
status: Confirmed → Fix Released
Phillip Susi (psusi) wrote :

The usplash-theme-ubuntu package has been removed from Ubuntu. Closing all related bugs.

Changed in usplash-theme-ubuntu (Ubuntu):
status: Confirmed → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers